import request from "@/utils/request";
// 岗检小组接口
// 修改
export function updateChecked(data) {
  return request({
    url: "/postCheck/postChecked",
    method: "put",
    data: data,
  });
}

// 新增
export function addChecked(data) {
  return request({
    url: "/postCheck/postChecked",
    method: "post",
    data: data,
  });
}

// 查询详细
export function getChecked(Id) {
  return request({
    url: "/postCheck/postChecked/" + Id,
    method: "get",
  });
}
// 删除
export function delChecked(Id) {
  return request({
    url: "/postCheck/postChecked/" + Id,
    method: "delete",
  });
}

// 查询列表
export function listChecked(query) {
  return request({
    url: "/postCheck/postChecked/list",
    method: "get",
    params: query,
  });
}




// 查询用户
export function getTypeList(params) {
  return request({
    url: "/postCheck/postCheckList/typeList",
    method: "get",
    params
  });
}

export function getListByType(params) {
  return request({
    url: `/postCheck/postCheckList/contentListByType`,
    method: "get",
    params
  });
}
export function statusApprove(params) {
  return request({
    url: "/postCheck/postChecked/statusApprove",
    method: "put",
    params,
  });
}
export function batchImport(data) {
  return request({
    url: "/postCheck/postChecked/batchImport",
    method: "post",
    data: data,
  });
}
export function preview(params) {
  return request({
    url: `/postCheck/postChecked/preview/${params}`,
    method: "get"
  });
}
// 批量下载
export function batchExport(params) {
  return request({
    url: "/postCheck/postChecked/batchExport",
    method: "get",
    params
  });
}
